/**
 * output package name
 */
package com.kingdee.eas.custom.integration.apimgt.client;

import org.apache.log4j.*;

import java.awt.*;
import java.awt.event.*;
import java.util.*;
import javax.swing.border.*;
import javax.swing.BorderFactory;
import javax.swing.event.*;
import javax.swing.KeyStroke;

import com.kingdee.bos.ctrl.swing.*;
import com.kingdee.bos.ctrl.kdf.table.*;
import com.kingdee.bos.ctrl.kdf.data.event.*;
import com.kingdee.bos.dao.*;
import com.kingdee.bos.dao.query.*;
import com.kingdee.bos.metadata.*;
import com.kingdee.bos.metadata.entity.*;
import com.kingdee.bos.ui.face.*;
import com.kingdee.bos.ui.util.ResourceBundleHelper;
import com.kingdee.bos.util.BOSUuid;
import com.kingdee.bos.service.ServiceContext;
import com.kingdee.jdbc.rowset.IRowSet;
import com.kingdee.util.enums.EnumUtils;
import com.kingdee.bos.ui.face.UIRuleUtil;
import com.kingdee.bos.ctrl.swing.event.*;
import com.kingdee.bos.ctrl.kdf.table.event.*;
import com.kingdee.bos.ctrl.extendcontrols.*;
import com.kingdee.bos.ctrl.kdf.util.render.*;
import com.kingdee.bos.ui.face.IItemAction;
import com.kingdee.eas.framework.batchHandler.RequestContext;
import com.kingdee.bos.ui.util.IUIActionPostman;
import com.kingdee.bos.appframework.client.servicebinding.ActionProxyFactory;
import com.kingdee.bos.appframework.uistatemanage.ActionStateConst;
import com.kingdee.bos.appframework.validator.ValidateHelper;
import com.kingdee.bos.appframework.uip.UINavigator;


/**
 * output class name
 */
public abstract class AbstractApiCallLogEditUI extends com.kingdee.eas.framework.client.CoreBillEditUI
{
    private static final Logger logger = CoreUIObject.getLogger(AbstractApiCallLogEditUI.class);
    protected com.kingdee.bos.ctrl.swing.KDLabelContainer contCreator;
    protected com.kingdee.bos.ctrl.swing.KDLabelContainer contCreateTime;
    protected com.kingdee.bos.ctrl.swing.KDLabelContainer contLastUpdateUser;
    protected com.kingdee.bos.ctrl.swing.KDLabelContainer contLastUpdateTime;
    protected com.kingdee.bos.ctrl.swing.KDLabelContainer contNumber;
    protected com.kingdee.bos.ctrl.swing.KDLabelContainer contBizDate;
    protected com.kingdee.bos.ctrl.swing.KDLabelContainer contDescription;
    protected com.kingdee.bos.ctrl.swing.KDLabelContainer contAuditor;
    protected com.kingdee.bos.ctrl.swing.KDLabelContainer contplatform;
    protected com.kingdee.bos.ctrl.swing.KDLabelContainer contapiPath;
    protected com.kingdee.bos.ctrl.swing.KDLabelContainer conthttpMethod;
    protected com.kingdee.bos.ctrl.swing.KDLabelContainer contrequestUrl;
    protected com.kingdee.bos.ctrl.swing.KDLabelContainer contrequestParams;
    protected com.kingdee.bos.ctrl.swing.KDLabelContainer contrequestIp;
    protected com.kingdee.bos.ctrl.swing.KDLabelContainer contresponseBody;
    protected com.kingdee.bos.ctrl.swing.KDLabelContainer conthttpStatusCode;
    protected com.kingdee.bos.ctrl.swing.KDCheckBox chksuccess;
    protected com.kingdee.bos.ctrl.swing.KDLabelContainer conterrorMsg;
    protected com.kingdee.bos.ctrl.swing.KDLabelContainer contcostTime;
    protected com.kingdee.bos.ctrl.extendcontrols.KDBizPromptBox prmtCreator;
    protected com.kingdee.bos.ctrl.swing.KDDatePicker kDDateCreateTime;
    protected com.kingdee.bos.ctrl.extendcontrols.KDBizPromptBox prmtLastUpdateUser;
    protected com.kingdee.bos.ctrl.swing.KDDatePicker kDDateLastUpdateTime;
    protected com.kingdee.bos.ctrl.swing.KDTextField txtNumber;
    protected com.kingdee.bos.ctrl.swing.KDDatePicker pkBizDate;
    protected com.kingdee.bos.ctrl.swing.KDTextField txtDescription;
    protected com.kingdee.bos.ctrl.extendcontrols.KDBizPromptBox prmtAuditor;
    protected com.kingdee.bos.ctrl.swing.KDTextField txtplatform;
    protected com.kingdee.bos.ctrl.swing.KDScrollPane scrollPaneapiPath;
    protected com.kingdee.bos.ctrl.swing.KDTextArea txtapiPath;
    protected com.kingdee.bos.ctrl.swing.KDTextField txthttpMethod;
    protected com.kingdee.bos.ctrl.swing.KDScrollPane scrollPanerequestUrl;
    protected com.kingdee.bos.ctrl.swing.KDTextArea txtrequestUrl;
    protected com.kingdee.bos.ctrl.swing.KDScrollPane scrollPanerequestParams;
    protected com.kingdee.bos.ctrl.swing.KDTextArea txtrequestParams;
    protected com.kingdee.bos.ctrl.swing.KDTextField txtrequestIp;
    protected com.kingdee.bos.ctrl.swing.KDScrollPane scrollPaneresponseBody;
    protected com.kingdee.bos.ctrl.swing.KDTextArea txtresponseBody;
    protected com.kingdee.bos.ctrl.swing.KDFormattedTextField txthttpStatusCode;
    protected com.kingdee.bos.ctrl.swing.KDScrollPane scrollPaneerrorMsg;
    protected com.kingdee.bos.ctrl.swing.KDTextArea txterrorMsg;
    protected com.kingdee.bos.ctrl.swing.KDFormattedTextField txtcostTime;
    protected com.kingdee.eas.custom.integration.apimgt.ApiCallLogInfo editData = null;
    /**
     * output class constructor
     */
    public AbstractApiCallLogEditUI() throws Exception
    {
        super();
        this.defaultObjectName = "editData";
        jbInit();
        
        initUIP();
    }

    /**
     * output jbInit method
     */
    private void jbInit() throws Exception
    {
        this.resHelper = new ResourceBundleHelper(AbstractApiCallLogEditUI.class.getName());
        this.setUITitle(resHelper.getString("this.title"));
        //actionSubmit
        String _tempStr = null;
        actionSubmit.setEnabled(true);
        actionSubmit.setDaemonRun(false);

        actionSubmit.putValue(ItemAction.ACCELERATOR_KEY, KeyStroke.getKeyStroke("ctrl S"));
        _tempStr = resHelper.getString("ActionSubmit.SHORT_DESCRIPTION");
        actionSubmit.putValue(ItemAction.SHORT_DESCRIPTION, _tempStr);
        _tempStr = resHelper.getString("ActionSubmit.LONG_DESCRIPTION");
        actionSubmit.putValue(ItemAction.LONG_DESCRIPTION, _tempStr);
        _tempStr = resHelper.getString("ActionSubmit.NAME");
        actionSubmit.putValue(ItemAction.NAME, _tempStr);
        this.actionSubmit.setBindWorkFlow(true);
         this.actionSubmit.addService(new com.kingdee.eas.framework.client.service.PermissionService());
         this.actionSubmit.addService(new com.kingdee.eas.framework.client.service.NetFunctionService());
         this.actionSubmit.addService(new com.kingdee.eas.framework.client.service.UserMonitorService());
        //actionPrint
        actionPrint.setEnabled(true);
        actionPrint.setDaemonRun(false);

        actionPrint.putValue(ItemAction.ACCELERATOR_KEY, KeyStroke.getKeyStroke("ctrl P"));
        _tempStr = resHelper.getString("ActionPrint.SHORT_DESCRIPTION");
        actionPrint.putValue(ItemAction.SHORT_DESCRIPTION, _tempStr);
        _tempStr = resHelper.getString("ActionPrint.LONG_DESCRIPTION");
        actionPrint.putValue(ItemAction.LONG_DESCRIPTION, _tempStr);
        _tempStr = resHelper.getString("ActionPrint.NAME");
        actionPrint.putValue(ItemAction.NAME, _tempStr);
         this.actionPrint.addService(new com.kingdee.eas.framework.client.service.PermissionService());
         this.actionPrint.addService(new com.kingdee.eas.framework.client.service.NetFunctionService());
         this.actionPrint.addService(new com.kingdee.eas.framework.client.service.UserMonitorService());
        //actionPrintPreview
        actionPrintPreview.setEnabled(true);
        actionPrintPreview.setDaemonRun(false);

        actionPrintPreview.putValue(ItemAction.ACCELERATOR_KEY, KeyStroke.getKeyStroke("shift ctrl P"));
        _tempStr = resHelper.getString("ActionPrintPreview.SHORT_DESCRIPTION");
        actionPrintPreview.putValue(ItemAction.SHORT_DESCRIPTION, _tempStr);
        _tempStr = resHelper.getString("ActionPrintPreview.LONG_DESCRIPTION");
        actionPrintPreview.putValue(ItemAction.LONG_DESCRIPTION, _tempStr);
        _tempStr = resHelper.getString("ActionPrintPreview.NAME");
        actionPrintPreview.putValue(ItemAction.NAME, _tempStr);
         this.actionPrintPreview.addService(new com.kingdee.eas.framework.client.service.PermissionService());
         this.actionPrintPreview.addService(new com.kingdee.eas.framework.client.service.NetFunctionService());
         this.actionPrintPreview.addService(new com.kingdee.eas.framework.client.service.UserMonitorService());
        this.contCreator = new com.kingdee.bos.ctrl.swing.KDLabelContainer();
        this.contCreateTime = new com.kingdee.bos.ctrl.swing.KDLabelContainer();
        this.contLastUpdateUser = new com.kingdee.bos.ctrl.swing.KDLabelContainer();
        this.contLastUpdateTime = new com.kingdee.bos.ctrl.swing.KDLabelContainer();
        this.contNumber = new com.kingdee.bos.ctrl.swing.KDLabelContainer();
        this.contBizDate = new com.kingdee.bos.ctrl.swing.KDLabelContainer();
        this.contDescription = new com.kingdee.bos.ctrl.swing.KDLabelContainer();
        this.contAuditor = new com.kingdee.bos.ctrl.swing.KDLabelContainer();
        this.contplatform = new com.kingdee.bos.ctrl.swing.KDLabelContainer();
        this.contapiPath = new com.kingdee.bos.ctrl.swing.KDLabelContainer();
        this.conthttpMethod = new com.kingdee.bos.ctrl.swing.KDLabelContainer();
        this.contrequestUrl = new com.kingdee.bos.ctrl.swing.KDLabelContainer();
        this.contrequestParams = new com.kingdee.bos.ctrl.swing.KDLabelContainer();
        this.contrequestIp = new com.kingdee.bos.ctrl.swing.KDLabelContainer();
        this.contresponseBody = new com.kingdee.bos.ctrl.swing.KDLabelContainer();
        this.conthttpStatusCode = new com.kingdee.bos.ctrl.swing.KDLabelContainer();
        this.chksuccess = new com.kingdee.bos.ctrl.swing.KDCheckBox();
        this.conterrorMsg = new com.kingdee.bos.ctrl.swing.KDLabelContainer();
        this.contcostTime = new com.kingdee.bos.ctrl.swing.KDLabelContainer();
        this.prmtCreator = new com.kingdee.bos.ctrl.extendcontrols.KDBizPromptBox();
        this.kDDateCreateTime = new com.kingdee.bos.ctrl.swing.KDDatePicker();
        this.prmtLastUpdateUser = new com.kingdee.bos.ctrl.extendcontrols.KDBizPromptBox();
        this.kDDateLastUpdateTime = new com.kingdee.bos.ctrl.swing.KDDatePicker();
        this.txtNumber = new com.kingdee.bos.ctrl.swing.KDTextField();
        this.pkBizDate = new com.kingdee.bos.ctrl.swing.KDDatePicker();
        this.txtDescription = new com.kingdee.bos.ctrl.swing.KDTextField();
        this.prmtAuditor = new com.kingdee.bos.ctrl.extendcontrols.KDBizPromptBox();
        this.txtplatform = new com.kingdee.bos.ctrl.swing.KDTextField();
        this.scrollPaneapiPath = new com.kingdee.bos.ctrl.swing.KDScrollPane();
        this.txtapiPath = new com.kingdee.bos.ctrl.swing.KDTextArea();
        this.txthttpMethod = new com.kingdee.bos.ctrl.swing.KDTextField();
        this.scrollPanerequestUrl = new com.kingdee.bos.ctrl.swing.KDScrollPane();
        this.txtrequestUrl = new com.kingdee.bos.ctrl.swing.KDTextArea();
        this.scrollPanerequestParams = new com.kingdee.bos.ctrl.swing.KDScrollPane();
        this.txtrequestParams = new com.kingdee.bos.ctrl.swing.KDTextArea();
        this.txtrequestIp = new com.kingdee.bos.ctrl.swing.KDTextField();
        this.scrollPaneresponseBody = new com.kingdee.bos.ctrl.swing.KDScrollPane();
        this.txtresponseBody = new com.kingdee.bos.ctrl.swing.KDTextArea();
        this.txthttpStatusCode = new com.kingdee.bos.ctrl.swing.KDFormattedTextField();
        this.scrollPaneerrorMsg = new com.kingdee.bos.ctrl.swing.KDScrollPane();
        this.txterrorMsg = new com.kingdee.bos.ctrl.swing.KDTextArea();
        this.txtcostTime = new com.kingdee.bos.ctrl.swing.KDFormattedTextField();
        this.contCreator.setName("contCreator");
        this.contCreateTime.setName("contCreateTime");
        this.contLastUpdateUser.setName("contLastUpdateUser");
        this.contLastUpdateTime.setName("contLastUpdateTime");
        this.contNumber.setName("contNumber");
        this.contBizDate.setName("contBizDate");
        this.contDescription.setName("contDescription");
        this.contAuditor.setName("contAuditor");
        this.contplatform.setName("contplatform");
        this.contapiPath.setName("contapiPath");
        this.conthttpMethod.setName("conthttpMethod");
        this.contrequestUrl.setName("contrequestUrl");
        this.contrequestParams.setName("contrequestParams");
        this.contrequestIp.setName("contrequestIp");
        this.contresponseBody.setName("contresponseBody");
        this.conthttpStatusCode.setName("conthttpStatusCode");
        this.chksuccess.setName("chksuccess");
        this.conterrorMsg.setName("conterrorMsg");
        this.contcostTime.setName("contcostTime");
        this.prmtCreator.setName("prmtCreator");
        this.kDDateCreateTime.setName("kDDateCreateTime");
        this.prmtLastUpdateUser.setName("prmtLastUpdateUser");
        this.kDDateLastUpdateTime.setName("kDDateLastUpdateTime");
        this.txtNumber.setName("txtNumber");
        this.pkBizDate.setName("pkBizDate");
        this.txtDescription.setName("txtDescription");
        this.prmtAuditor.setName("prmtAuditor");
        this.txtplatform.setName("txtplatform");
        this.scrollPaneapiPath.setName("scrollPaneapiPath");
        this.txtapiPath.setName("txtapiPath");
        this.txthttpMethod.setName("txthttpMethod");
        this.scrollPanerequestUrl.setName("scrollPanerequestUrl");
        this.txtrequestUrl.setName("txtrequestUrl");
        this.scrollPanerequestParams.setName("scrollPanerequestParams");
        this.txtrequestParams.setName("txtrequestParams");
        this.txtrequestIp.setName("txtrequestIp");
        this.scrollPaneresponseBody.setName("scrollPaneresponseBody");
        this.txtresponseBody.setName("txtresponseBody");
        this.txthttpStatusCode.setName("txthttpStatusCode");
        this.scrollPaneerrorMsg.setName("scrollPaneerrorMsg");
        this.txterrorMsg.setName("txterrorMsg");
        this.txtcostTime.setName("txtcostTime");
        // CoreUI		
        this.btnTraceUp.setVisible(false);		
        this.btnTraceDown.setVisible(false);		
        this.btnCreateTo.setVisible(true);		
        this.btnAddLine.setVisible(false);		
        this.btnCopyLine.setVisible(false);		
        this.btnInsertLine.setVisible(false);		
        this.btnRemoveLine.setVisible(false);		
        this.btnAuditResult.setVisible(false);		
        this.separator1.setVisible(false);		
        this.menuItemCreateTo.setVisible(true);		
        this.separator3.setVisible(false);		
        this.menuItemTraceUp.setVisible(false);		
        this.menuItemTraceDown.setVisible(false);		
        this.menuTable1.setVisible(false);		
        this.menuItemAddLine.setVisible(false);		
        this.menuItemCopyLine.setVisible(false);		
        this.menuItemInsertLine.setVisible(false);		
        this.menuItemRemoveLine.setVisible(false);		
        this.menuItemViewSubmitProccess.setVisible(false);		
        this.menuItemViewDoProccess.setVisible(false);		
        this.menuItemAuditResult.setVisible(false);
        // contCreator		
        this.contCreator.setBoundLabelText(resHelper.getString("contCreator.boundLabelText"));		
        this.contCreator.setBoundLabelLength(100);		
        this.contCreator.setBoundLabelUnderline(true);		
        this.contCreator.setEnabled(false);
        // contCreateTime		
        this.contCreateTime.setBoundLabelText(resHelper.getString("contCreateTime.boundLabelText"));		
        this.contCreateTime.setBoundLabelLength(100);		
        this.contCreateTime.setBoundLabelUnderline(true);		
        this.contCreateTime.setEnabled(false);
        // contLastUpdateUser		
        this.contLastUpdateUser.setBoundLabelText(resHelper.getString("contLastUpdateUser.boundLabelText"));		
        this.contLastUpdateUser.setBoundLabelLength(100);		
        this.contLastUpdateUser.setBoundLabelUnderline(true);		
        this.contLastUpdateUser.setEnabled(false);		
        this.contLastUpdateUser.setVisible(false);
        // contLastUpdateTime		
        this.contLastUpdateTime.setBoundLabelText(resHelper.getString("contLastUpdateTime.boundLabelText"));		
        this.contLastUpdateTime.setBoundLabelLength(100);		
        this.contLastUpdateTime.setBoundLabelUnderline(true);		
        this.contLastUpdateTime.setEnabled(false);		
        this.contLastUpdateTime.setVisible(false);
        // contNumber		
        this.contNumber.setBoundLabelText(resHelper.getString("contNumber.boundLabelText"));		
        this.contNumber.setBoundLabelLength(100);		
        this.contNumber.setBoundLabelUnderline(true);
        // contBizDate		
        this.contBizDate.setBoundLabelText(resHelper.getString("contBizDate.boundLabelText"));		
        this.contBizDate.setBoundLabelLength(100);		
        this.contBizDate.setBoundLabelUnderline(true);		
        this.contBizDate.setBoundLabelAlignment(7);		
        this.contBizDate.setVisible(true);
        // contDescription		
        this.contDescription.setBoundLabelText(resHelper.getString("contDescription.boundLabelText"));		
        this.contDescription.setBoundLabelLength(100);		
        this.contDescription.setBoundLabelUnderline(true);
        // contAuditor		
        this.contAuditor.setBoundLabelText(resHelper.getString("contAuditor.boundLabelText"));		
        this.contAuditor.setBoundLabelLength(100);		
        this.contAuditor.setBoundLabelUnderline(true);
        // contplatform		
        this.contplatform.setBoundLabelText(resHelper.getString("contplatform.boundLabelText"));		
        this.contplatform.setBoundLabelLength(100);		
        this.contplatform.setBoundLabelUnderline(true);		
        this.contplatform.setVisible(true);
        // contapiPath		
        this.contapiPath.setBoundLabelText(resHelper.getString("contapiPath.boundLabelText"));		
        this.contapiPath.setBoundLabelLength(100);		
        this.contapiPath.setBoundLabelUnderline(true);		
        this.contapiPath.setVisible(true);
        // conthttpMethod		
        this.conthttpMethod.setBoundLabelText(resHelper.getString("conthttpMethod.boundLabelText"));		
        this.conthttpMethod.setBoundLabelLength(100);		
        this.conthttpMethod.setBoundLabelUnderline(true);		
        this.conthttpMethod.setVisible(true);
        // contrequestUrl		
        this.contrequestUrl.setBoundLabelText(resHelper.getString("contrequestUrl.boundLabelText"));		
        this.contrequestUrl.setBoundLabelLength(100);		
        this.contrequestUrl.setBoundLabelUnderline(true);		
        this.contrequestUrl.setVisible(true);
        // contrequestParams		
        this.contrequestParams.setBoundLabelText(resHelper.getString("contrequestParams.boundLabelText"));		
        this.contrequestParams.setBoundLabelLength(100);		
        this.contrequestParams.setBoundLabelUnderline(true);		
        this.contrequestParams.setVisible(true);
        // contrequestIp		
        this.contrequestIp.setBoundLabelText(resHelper.getString("contrequestIp.boundLabelText"));		
        this.contrequestIp.setBoundLabelLength(100);		
        this.contrequestIp.setBoundLabelUnderline(true);		
        this.contrequestIp.setVisible(true);
        // contresponseBody		
        this.contresponseBody.setBoundLabelText(resHelper.getString("contresponseBody.boundLabelText"));		
        this.contresponseBody.setBoundLabelLength(100);		
        this.contresponseBody.setBoundLabelUnderline(true);		
        this.contresponseBody.setVisible(true);
        // conthttpStatusCode		
        this.conthttpStatusCode.setBoundLabelText(resHelper.getString("conthttpStatusCode.boundLabelText"));		
        this.conthttpStatusCode.setBoundLabelLength(100);		
        this.conthttpStatusCode.setBoundLabelUnderline(true);		
        this.conthttpStatusCode.setVisible(true);
        // chksuccess		
        this.chksuccess.setText(resHelper.getString("chksuccess.text"));		
        this.chksuccess.setVisible(true);		
        this.chksuccess.setHorizontalAlignment(2);
        // conterrorMsg		
        this.conterrorMsg.setBoundLabelText(resHelper.getString("conterrorMsg.boundLabelText"));		
        this.conterrorMsg.setBoundLabelLength(100);		
        this.conterrorMsg.setBoundLabelUnderline(true);		
        this.conterrorMsg.setVisible(true);
        // contcostTime		
        this.contcostTime.setBoundLabelText(resHelper.getString("contcostTime.boundLabelText"));		
        this.contcostTime.setBoundLabelLength(100);		
        this.contcostTime.setBoundLabelUnderline(true);		
        this.contcostTime.setVisible(true);
        // prmtCreator		
        this.prmtCreator.setEnabled(false);
        // kDDateCreateTime		
        this.kDDateCreateTime.setTimeEnabled(true);		
        this.kDDateCreateTime.setEnabled(false);
        // prmtLastUpdateUser		
        this.prmtLastUpdateUser.setEnabled(false);
        // kDDateLastUpdateTime		
        this.kDDateLastUpdateTime.setTimeEnabled(true);		
        this.kDDateLastUpdateTime.setEnabled(false);
        // txtNumber		
        this.txtNumber.setMaxLength(80);
        // pkBizDate		
        this.pkBizDate.setVisible(true);		
        this.pkBizDate.setEnabled(true);
        // txtDescription		
        this.txtDescription.setMaxLength(80);
        // prmtAuditor		
        this.prmtAuditor.setEnabled(false);
        // txtplatform		
        this.txtplatform.setVisible(true);		
        this.txtplatform.setHorizontalAlignment(2);		
        this.txtplatform.setMaxLength(100);		
        this.txtplatform.setRequired(false);
        // scrollPaneapiPath
        // txtapiPath		
        this.txtapiPath.setVisible(true);		
        this.txtapiPath.setRequired(false);		
        this.txtapiPath.setMaxLength(1000);
        // txthttpMethod		
        this.txthttpMethod.setVisible(true);		
        this.txthttpMethod.setHorizontalAlignment(2);		
        this.txthttpMethod.setMaxLength(50);		
        this.txthttpMethod.setRequired(false);
        // scrollPanerequestUrl
        // txtrequestUrl		
        this.txtrequestUrl.setVisible(true);		
        this.txtrequestUrl.setRequired(false);		
        this.txtrequestUrl.setMaxLength(2000);
        // scrollPanerequestParams
        // txtrequestParams		
        this.txtrequestParams.setVisible(true);		
        this.txtrequestParams.setRequired(false);		
        this.txtrequestParams.setMaxLength(2000);
        // txtrequestIp		
        this.txtrequestIp.setVisible(true);		
        this.txtrequestIp.setHorizontalAlignment(2);		
        this.txtrequestIp.setMaxLength(50);		
        this.txtrequestIp.setRequired(false);
        // scrollPaneresponseBody
        // txtresponseBody		
        this.txtresponseBody.setVisible(true);		
        this.txtresponseBody.setRequired(false);		
        this.txtresponseBody.setMaxLength(2000);
        // txthttpStatusCode		
        this.txthttpStatusCode.setVisible(true);		
        this.txthttpStatusCode.setHorizontalAlignment(2);		
        this.txthttpStatusCode.setDataType(0);		
        this.txthttpStatusCode.setSupportedEmpty(true);		
        this.txthttpStatusCode.setRequired(false);
        // scrollPaneerrorMsg
        // txterrorMsg		
        this.txterrorMsg.setVisible(true);		
        this.txterrorMsg.setRequired(false);		
        this.txterrorMsg.setMaxLength(2000);
        // txtcostTime		
        this.txtcostTime.setVisible(true);		
        this.txtcostTime.setHorizontalAlignment(2);		
        this.txtcostTime.setDataType(0);		
        this.txtcostTime.setSupportedEmpty(true);		
        this.txtcostTime.setRequired(false);
        this.setFocusTraversalPolicy(new com.kingdee.bos.ui.UIFocusTraversalPolicy(new java.awt.Component[] {txtplatform,txtapiPath,txthttpMethod,txtrequestUrl,txtrequestParams,txtrequestIp,txtresponseBody,txthttpStatusCode,chksuccess,txterrorMsg,txtcostTime}));
        this.setFocusCycleRoot(true);
		//Register control's property binding
		registerBindings();
		registerUIState();


    }

	public com.kingdee.bos.ctrl.swing.KDToolBar[] getUIMultiToolBar(){
		java.util.List list = new java.util.ArrayList();
		com.kingdee.bos.ctrl.swing.KDToolBar[] bars = super.getUIMultiToolBar();
		if (bars != null) {
			list.addAll(java.util.Arrays.asList(bars));
		}
		return (com.kingdee.bos.ctrl.swing.KDToolBar[])list.toArray(new com.kingdee.bos.ctrl.swing.KDToolBar[list.size()]);
	}




    /**
     * output initUIContentLayout method
     */
    public void initUIContentLayout()
    {
        this.setBounds(new Rectangle(0, 0, 1013, 629));
        this.setLayout(null);
        contCreator.setBounds(new Rectangle(440, 524, 270, 19));
        this.add(contCreator, null);
        contCreateTime.setBounds(new Rectangle(730, 524, 270, 19));
        this.add(contCreateTime, null);
        contLastUpdateUser.setBounds(new Rectangle(440, 555, 270, 19));
        this.add(contLastUpdateUser, null);
        contLastUpdateTime.setBounds(new Rectangle(730, 555, 270, 19));
        this.add(contLastUpdateTime, null);
        contNumber.setBounds(new Rectangle(728, 26, 270, 19));
        this.add(contNumber, null);
        contBizDate.setBounds(new Rectangle(350, 66, 270, 19));
        this.add(contBizDate, null);
        contDescription.setBounds(new Rectangle(728, 66, 270, 19));
        this.add(contDescription, null);
        contAuditor.setBounds(new Rectangle(15, 528, 270, 19));
        this.add(contAuditor, null);
        contplatform.setBounds(new Rectangle(0, 0, 270, 19));
        this.add(contplatform, null);
        contapiPath.setBounds(new Rectangle(0, 0, 270, 19));
        this.add(contapiPath, null);
        conthttpMethod.setBounds(new Rectangle(0, 0, 270, 19));
        this.add(conthttpMethod, null);
        contrequestUrl.setBounds(new Rectangle(0, 0, 270, 19));
        this.add(contrequestUrl, null);
        contrequestParams.setBounds(new Rectangle(0, 0, 270, 19));
        this.add(contrequestParams, null);
        contrequestIp.setBounds(new Rectangle(0, 0, 270, 19));
        this.add(contrequestIp, null);
        contresponseBody.setBounds(new Rectangle(0, 0, 270, 19));
        this.add(contresponseBody, null);
        conthttpStatusCode.setBounds(new Rectangle(0, 0, 270, 19));
        this.add(conthttpStatusCode, null);
        chksuccess.setBounds(new Rectangle(0, 0, 270, 19));
        this.add(chksuccess, null);
        conterrorMsg.setBounds(new Rectangle(0, 0, 270, 19));
        this.add(conterrorMsg, null);
        contcostTime.setBounds(new Rectangle(0, 0, 270, 19));
        this.add(contcostTime, null);
        //contCreator
        contCreator.setBoundEditor(prmtCreator);
        //contCreateTime
        contCreateTime.setBoundEditor(kDDateCreateTime);
        //contLastUpdateUser
        contLastUpdateUser.setBoundEditor(prmtLastUpdateUser);
        //contLastUpdateTime
        contLastUpdateTime.setBoundEditor(kDDateLastUpdateTime);
        //contNumber
        contNumber.setBoundEditor(txtNumber);
        //contBizDate
        contBizDate.setBoundEditor(pkBizDate);
        //contDescription
        contDescription.setBoundEditor(txtDescription);
        //contAuditor
        contAuditor.setBoundEditor(prmtAuditor);
        //contplatform
        contplatform.setBoundEditor(txtplatform);
        //contapiPath
        contapiPath.setBoundEditor(scrollPaneapiPath);
        //scrollPaneapiPath
        scrollPaneapiPath.getViewport().add(txtapiPath, null);
        //conthttpMethod
        conthttpMethod.setBoundEditor(txthttpMethod);
        //contrequestUrl
        contrequestUrl.setBoundEditor(scrollPanerequestUrl);
        //scrollPanerequestUrl
        scrollPanerequestUrl.getViewport().add(txtrequestUrl, null);
        //contrequestParams
        contrequestParams.setBoundEditor(scrollPanerequestParams);
        //scrollPanerequestParams
        scrollPanerequestParams.getViewport().add(txtrequestParams, null);
        //contrequestIp
        contrequestIp.setBoundEditor(txtrequestIp);
        //contresponseBody
        contresponseBody.setBoundEditor(scrollPaneresponseBody);
        //scrollPaneresponseBody
        scrollPaneresponseBody.getViewport().add(txtresponseBody, null);
        //conthttpStatusCode
        conthttpStatusCode.setBoundEditor(txthttpStatusCode);
        //conterrorMsg
        conterrorMsg.setBoundEditor(scrollPaneerrorMsg);
        //scrollPaneerrorMsg
        scrollPaneerrorMsg.getViewport().add(txterrorMsg, null);
        //contcostTime
        contcostTime.setBoundEditor(txtcostTime);

    }


    /**
     * output initUIMenuBarLayout method
     */
    public void initUIMenuBarLayout()
    {
        this.menuBar.add(menuFile);
        this.menuBar.add(menuEdit);
        this.menuBar.add(MenuService);
        this.menuBar.add(menuView);
        this.menuBar.add(menuBiz);
        this.menuBar.add(menuTable1);
        this.menuBar.add(menuTool);
        this.menuBar.add(menuWorkflow);
        this.menuBar.add(menuHelp);
        //menuFile
        menuFile.add(menuItemAddNew);
        menuFile.add(kDSeparator1);
        menuFile.add(menuItemCloudFeed);
        menuFile.add(menuItemSave);
        menuFile.add(menuItemCloudScreen);
        menuFile.add(menuItemSubmit);
        menuFile.add(menuItemCloudShare);
        menuFile.add(menuSubmitOption);
        menuFile.add(kdSeparatorFWFile1);
        menuFile.add(rMenuItemSubmit);
        menuFile.add(rMenuItemSubmitAndAddNew);
        menuFile.add(rMenuItemSubmitAndPrint);
        menuFile.add(separatorFile1);
        menuFile.add(MenuItemAttachment);
        menuFile.add(kDSeparator2);
        menuFile.add(menuItemPageSetup);
        menuFile.add(menuItemPrint);
        menuFile.add(menuItemPrintPreview);
        menuFile.add(kDSeparator6);
        menuFile.add(menuItemSendMail);
        menuFile.add(kDSeparator3);
        menuFile.add(menuItemExitCurrent);
        //menuSubmitOption
        menuSubmitOption.add(chkMenuItemSubmitAndAddNew);
        menuSubmitOption.add(chkMenuItemSubmitAndPrint);
        //menuEdit
        menuEdit.add(menuItemCopy);
        menuEdit.add(menuItemEdit);
        menuEdit.add(menuItemRemove);
        menuEdit.add(kDSeparator4);
        menuEdit.add(menuItemReset);
        menuEdit.add(separator1);
        menuEdit.add(menuItemCreateFrom);
        menuEdit.add(menuItemCreateTo);
        menuEdit.add(menuItemCopyFrom);
        menuEdit.add(separatorEdit1);
        menuEdit.add(menuItemEnterToNextRow);
        menuEdit.add(separator2);
        //MenuService
        MenuService.add(MenuItemKnowStore);
        MenuService.add(MenuItemAnwser);
        MenuService.add(SepratorService);
        MenuService.add(MenuItemRemoteAssist);
        //menuView
        menuView.add(menuItemFirst);
        menuView.add(menuItemPre);
        menuView.add(menuItemNext);
        menuView.add(menuItemLast);
        menuView.add(separator3);
        menuView.add(menuItemTraceUp);
        menuView.add(menuItemTraceDown);
        menuView.add(kDSeparator7);
        menuView.add(menuItemLocate);
        //menuBiz
        menuBiz.add(menuItemCancelCancel);
        menuBiz.add(menuItemCancel);
        menuBiz.add(MenuItemVoucher);
        menuBiz.add(menuItemDelVoucher);
        menuBiz.add(MenuItemPCVoucher);
        menuBiz.add(menuItemDelPCVoucher);
        //menuTable1
        menuTable1.add(menuItemAddLine);
        menuTable1.add(menuItemCopyLine);
        menuTable1.add(menuItemInsertLine);
        menuTable1.add(menuItemRemoveLine);
        //menuTool
        menuTool.add(menuItemSendMessage);
        menuTool.add(menuItemMsgFormat);
        menuTool.add(menuItemCalculator);
        menuTool.add(menuItemToolBarCustom);
        //menuWorkflow
        menuWorkflow.add(menuItemStartWorkFlow);
        menuWorkflow.add(separatorWF1);
        menuWorkflow.add(menuItemViewSubmitProccess);
        menuWorkflow.add(menuItemViewDoProccess);
        menuWorkflow.add(MenuItemWFG);
        menuWorkflow.add(menuItemWorkFlowList);
        menuWorkflow.add(separatorWF2);
        menuWorkflow.add(menuItemMultiapprove);
        menuWorkflow.add(menuItemNextPerson);
        menuWorkflow.add(menuItemAuditResult);
        menuWorkflow.add(kDSeparator5);
        menuWorkflow.add(kDMenuItemSendMessage);
        //menuHelp
        menuHelp.add(menuItemHelp);
        menuHelp.add(kDSeparator12);
        menuHelp.add(menuItemRegPro);
        menuHelp.add(menuItemPersonalSite);
        menuHelp.add(helpseparatorDiv);
        menuHelp.add(menuitemProductval);
        menuHelp.add(kDSeparatorProduct);
        menuHelp.add(menuItemAbout);

    }

    /**
     * output initUIToolBarLayout method
     */
    public void initUIToolBarLayout()
    {
        this.toolBar.add(btnAddNew);
        this.toolBar.add(btnCloud);
        this.toolBar.add(btnEdit);
        this.toolBar.add(btnXunTong);
        this.toolBar.add(btnSave);
        this.toolBar.add(kDSeparatorCloud);
        this.toolBar.add(btnReset);
        this.toolBar.add(btnSubmit);
        this.toolBar.add(btnCopy);
        this.toolBar.add(btnRemove);
        this.toolBar.add(btnCancelCancel);
        this.toolBar.add(btnCancel);
        this.toolBar.add(btnAttachment);
        this.toolBar.add(separatorFW1);
        this.toolBar.add(btnPageSetup);
        this.toolBar.add(btnPrint);
        this.toolBar.add(btnPrintPreview);
        this.toolBar.add(separatorFW2);
        this.toolBar.add(btnFirst);
        this.toolBar.add(btnPre);
        this.toolBar.add(btnNext);
        this.toolBar.add(btnLast);
        this.toolBar.add(separatorFW3);
        this.toolBar.add(btnTraceUp);
        this.toolBar.add(btnTraceDown);
        this.toolBar.add(btnWorkFlowG);
        this.toolBar.add(btnSignature);
        this.toolBar.add(btnViewSignature);
        this.toolBar.add(separatorFW4);
        this.toolBar.add(btnNumberSign);
        this.toolBar.add(separatorFW7);
        this.toolBar.add(btnCreateFrom);
        this.toolBar.add(btnCopyFrom);
        this.toolBar.add(btnCreateTo);
        this.toolBar.add(separatorFW5);
        this.toolBar.add(separatorFW8);
        this.toolBar.add(btnAddLine);
        this.toolBar.add(btnCopyLine);
        this.toolBar.add(btnInsertLine);
        this.toolBar.add(btnRemoveLine);
        this.toolBar.add(separatorFW6);
        this.toolBar.add(separatorFW9);
        this.toolBar.add(btnVoucher);
        this.toolBar.add(btnDelVoucher);
        this.toolBar.add(btnPCVoucher);
        this.toolBar.add(btnDelPCVoucher);
        this.toolBar.add(btnAuditResult);
        this.toolBar.add(btnMultiapprove);
        this.toolBar.add(btnWFViewdoProccess);
        this.toolBar.add(btnWFViewSubmitProccess);
        this.toolBar.add(btnNextPerson);


    }

	//Regiester control's property binding.
	private void registerBindings(){
		dataBinder.registerBinding("success", boolean.class, this.chksuccess, "selected");
		dataBinder.registerBinding("creator", com.kingdee.eas.base.permission.UserInfo.class, this.prmtCreator, "data");
		dataBinder.registerBinding("createTime", java.sql.Timestamp.class, this.kDDateCreateTime, "value");
		dataBinder.registerBinding("lastUpdateUser", com.kingdee.eas.base.permission.UserInfo.class, this.prmtLastUpdateUser, "data");
		dataBinder.registerBinding("lastUpdateTime", java.sql.Timestamp.class, this.kDDateLastUpdateTime, "value");
		dataBinder.registerBinding("number", String.class, this.txtNumber, "text");
		dataBinder.registerBinding("bizDate", java.util.Date.class, this.pkBizDate, "value");
		dataBinder.registerBinding("description", String.class, this.txtDescription, "text");
		dataBinder.registerBinding("auditor", com.kingdee.eas.base.permission.UserInfo.class, this.prmtAuditor, "data");
		dataBinder.registerBinding("platform", String.class, this.txtplatform, "text");
		dataBinder.registerBinding("apiPath", String.class, this.txtapiPath, "text");
		dataBinder.registerBinding("httpMethod", String.class, this.txthttpMethod, "text");
		dataBinder.registerBinding("requestUrl", String.class, this.txtrequestUrl, "text");
		dataBinder.registerBinding("requestParams", String.class, this.txtrequestParams, "text");
		dataBinder.registerBinding("requestIp", String.class, this.txtrequestIp, "text");
		dataBinder.registerBinding("responseBody", String.class, this.txtresponseBody, "text");
		dataBinder.registerBinding("httpStatusCode", int.class, this.txthttpStatusCode, "value");
		dataBinder.registerBinding("errorMsg", String.class, this.txterrorMsg, "text");
		dataBinder.registerBinding("costTime", int.class, this.txtcostTime, "value");		
	}
	//Regiester UI State
	private void registerUIState(){		
	}
	public String getUIHandlerClassName() {
	    return "com.kingdee.eas.custom.integration.apimgt.app.ApiCallLogEditUIHandler";
	}
	public IUIActionPostman prepareInit() {
		IUIActionPostman clientHanlder = super.prepareInit();
		if (clientHanlder != null) {
			RequestContext request = new RequestContext();
    		request.setClassName(getUIHandlerClassName());
			clientHanlder.setRequestContext(request);
		}
		return clientHanlder;
    }
	
	public boolean isPrepareInit() {
    	return false;
    }
    protected void initUIP() {
        super.initUIP();
    }


    /**
     * output onShow method
     */
    public void onShow() throws Exception
    {
        super.onShow();
        this.txtplatform.requestFocusInWindow();
    }

	
	

    /**
     * output setDataObject method
     */
    public void setDataObject(IObjectValue dataObject)
    {
        IObjectValue ov = dataObject;        	    	
        super.setDataObject(ov);
        this.editData = (com.kingdee.eas.custom.integration.apimgt.ApiCallLogInfo)ov;
    }
    protected void removeByPK(IObjectPK pk) throws Exception {
    	IObjectValue editData = this.editData;
    	super.removeByPK(pk);
    	recycleNumberByOrg(editData,"NONE",editData.getString("number"));
    }
    
    protected void recycleNumberByOrg(IObjectValue editData,String orgType,String number) {
        if (!StringUtils.isEmpty(number))
        {
            try {
            	String companyID = null;            
            	com.kingdee.eas.base.codingrule.ICodingRuleManager iCodingRuleManager = com.kingdee.eas.base.codingrule.CodingRuleManagerFactory.getRemoteInstance();
				if(!com.kingdee.util.StringUtils.isEmpty(orgType) && !"NONE".equalsIgnoreCase(orgType) && com.kingdee.eas.common.client.SysContext.getSysContext().getCurrentOrgUnit(com.kingdee.eas.basedata.org.OrgType.getEnum(orgType))!=null) {
					companyID =com.kingdee.eas.common.client.SysContext.getSysContext().getCurrentOrgUnit(com.kingdee.eas.basedata.org.OrgType.getEnum(orgType)).getString("id");
				}
				else if (com.kingdee.eas.common.client.SysContext.getSysContext().getCurrentOrgUnit() != null) {
					companyID = ((com.kingdee.eas.basedata.org.OrgUnitInfo)com.kingdee.eas.common.client.SysContext.getSysContext().getCurrentOrgUnit()).getString("id");
            	}				
				if (!StringUtils.isEmpty(companyID) && iCodingRuleManager.isExist(editData, companyID) && iCodingRuleManager.isUseIntermitNumber(editData, companyID)) {
					iCodingRuleManager.recycleNumber(editData,companyID,number);					
				}
            }
            catch (Exception e)
            {
                handUIException(e);
            }
        }
    }
    protected void setAutoNumberByOrg(String orgType) {
    	if (editData == null) return;
		if (editData.getNumber() == null) {
            try {
            	String companyID = null;
				if(!com.kingdee.util.StringUtils.isEmpty(orgType) && !"NONE".equalsIgnoreCase(orgType) && com.kingdee.eas.common.client.SysContext.getSysContext().getCurrentOrgUnit(com.kingdee.eas.basedata.org.OrgType.getEnum(orgType))!=null) {
					companyID = com.kingdee.eas.common.client.SysContext.getSysContext().getCurrentOrgUnit(com.kingdee.eas.basedata.org.OrgType.getEnum(orgType)).getString("id");
				}
				else if (com.kingdee.eas.common.client.SysContext.getSysContext().getCurrentOrgUnit() != null) {
					companyID = ((com.kingdee.eas.basedata.org.OrgUnitInfo)com.kingdee.eas.common.client.SysContext.getSysContext().getCurrentOrgUnit()).getString("id");
            	}
				com.kingdee.eas.base.codingrule.ICodingRuleManager iCodingRuleManager = com.kingdee.eas.base.codingrule.CodingRuleManagerFactory.getRemoteInstance();
		        if (iCodingRuleManager.isExist(editData, companyID)) {
		            if (iCodingRuleManager.isAddView(editData, companyID)) {
		            	editData.setNumber(iCodingRuleManager.getNumber(editData,companyID));
		            }
	                txtNumber.setEnabled(false);
		        }
            }
            catch (Exception e) {
                handUIException(e);
                this.oldData = editData;
                com.kingdee.eas.util.SysUtil.abort();
            } 
        } 
        else {
            if (editData.getNumber().trim().length() > 0) {
                txtNumber.setText(editData.getNumber());
            }
        }
    }

    /**
     * output loadFields method
     */
    public void loadFields()
    {
        		setAutoNumberByOrg("NONE");
        dataBinder.loadFields();
    }
		protected void setOrgF7(KDBizPromptBox f7,com.kingdee.eas.basedata.org.OrgType orgType) throws Exception
		{
			com.kingdee.eas.basedata.org.client.f7.NewOrgUnitFilterInfoProducer oufip = new com.kingdee.eas.basedata.org.client.f7.NewOrgUnitFilterInfoProducer(orgType);
			oufip.getModel().setIsCUFilter(true);
			f7.setFilterInfoProducer(oufip);
		}

    /**
     * output storeFields method
     */
    public void storeFields()
    {
		dataBinder.storeFields();
    }

	/**
	 * ????????งต??
	 */
	protected void registerValidator() {
    	getValidateHelper().setCustomValidator( getValidator() );
		getValidateHelper().registerBindProperty("success", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("creator", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("createTime", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("lastUpdateUser", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("lastUpdateTime", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("number", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("bizDate", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("description", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("auditor", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("platform", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("apiPath", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("httpMethod", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("requestUrl", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("requestParams", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("requestIp", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("responseBody", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("httpStatusCode", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("errorMsg", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("costTime", ValidateHelper.ON_SAVE);    		
	}



    /**
     * output setOprtState method
     */
    public void setOprtState(String oprtType)
    {
        super.setOprtState(oprtType);
        if (STATUS_ADDNEW.equals(this.oprtState)) {
        } else if (STATUS_EDIT.equals(this.oprtState)) {
        } else if (STATUS_VIEW.equals(this.oprtState)) {
        } else if (STATUS_FINDVIEW.equals(this.oprtState)) {
        }
    }

    /**
     * output getSelectors method
     */
    public SelectorItemCollection getSelectors()
    {
        SelectorItemCollection sic = new SelectorItemCollection();
		String selectorAll = System.getProperty("selector.all");
		if(StringUtils.isEmpty(selectorAll)){
			selectorAll = "true";
		}
        sic.add(new SelectorItemInfo("success"));
		if(selectorAll.equalsIgnoreCase("true"))
		{
			sic.add(new SelectorItemInfo("creator.*"));
		}
		else{
        	sic.add(new SelectorItemInfo("creator.id"));
        	sic.add(new SelectorItemInfo("creator.number"));
        	sic.add(new SelectorItemInfo("creator.name"));
		}
        sic.add(new SelectorItemInfo("createTime"));
		if(selectorAll.equalsIgnoreCase("true"))
		{
			sic.add(new SelectorItemInfo("lastUpdateUser.*"));
		}
		else{
        	sic.add(new SelectorItemInfo("lastUpdateUser.id"));
        	sic.add(new SelectorItemInfo("lastUpdateUser.number"));
        	sic.add(new SelectorItemInfo("lastUpdateUser.name"));
		}
        sic.add(new SelectorItemInfo("lastUpdateTime"));
        sic.add(new SelectorItemInfo("number"));
        sic.add(new SelectorItemInfo("bizDate"));
        sic.add(new SelectorItemInfo("description"));
		if(selectorAll.equalsIgnoreCase("true"))
		{
			sic.add(new SelectorItemInfo("auditor.*"));
		}
		else{
        	sic.add(new SelectorItemInfo("auditor.id"));
        	sic.add(new SelectorItemInfo("auditor.number"));
        	sic.add(new SelectorItemInfo("auditor.name"));
		}
        sic.add(new SelectorItemInfo("platform"));
        sic.add(new SelectorItemInfo("apiPath"));
        sic.add(new SelectorItemInfo("httpMethod"));
        sic.add(new SelectorItemInfo("requestUrl"));
        sic.add(new SelectorItemInfo("requestParams"));
        sic.add(new SelectorItemInfo("requestIp"));
        sic.add(new SelectorItemInfo("responseBody"));
        sic.add(new SelectorItemInfo("httpStatusCode"));
        sic.add(new SelectorItemInfo("errorMsg"));
        sic.add(new SelectorItemInfo("costTime"));
        return sic;
    }        
    	

    /**
     * output actionSubmit_actionPerformed method
     */
    public void actionSubmit_actionPerformed(ActionEvent e) throws Exception
    {
        super.actionSubmit_actionPerformed(e);
    }
    	

    /**
     * output actionPrint_actionPerformed method
     */
    public void actionPrint_actionPerformed(ActionEvent e) throws Exception
    {
        ArrayList idList = new ArrayList();
    	if (editData != null && !StringUtils.isEmpty(editData.getString("id"))) {
    		idList.add(editData.getString("id"));
    	}
        if (idList == null || idList.size() == 0 || getTDQueryPK() == null || getTDFileName() == null)
            return;
        com.kingdee.bos.ctrl.kdf.data.impl.BOSQueryDelegate data = new com.kingdee.eas.framework.util.CommonDataProvider(idList,getTDQueryPK());
        com.kingdee.bos.ctrl.report.forapp.kdnote.client.KDNoteHelper appHlp = new com.kingdee.bos.ctrl.report.forapp.kdnote.client.KDNoteHelper();
        appHlp.print(getTDFileName(), data, javax.swing.SwingUtilities.getWindowAncestor(this));
    }
    	

    /**
     * output actionPrintPreview_actionPerformed method
     */
    public void actionPrintPreview_actionPerformed(ActionEvent e) throws Exception
    {
        ArrayList idList = new ArrayList();
        if (editData != null && !StringUtils.isEmpty(editData.getString("id"))) {
    		idList.add(editData.getString("id"));
    	}
        if (idList == null || idList.size() == 0 || getTDQueryPK() == null || getTDFileName() == null)
            return;
        com.kingdee.bos.ctrl.kdf.data.impl.BOSQueryDelegate data = new com.kingdee.eas.framework.util.CommonDataProvider(idList,getTDQueryPK());
        com.kingdee.bos.ctrl.report.forapp.kdnote.client.KDNoteHelper appHlp = new com.kingdee.bos.ctrl.report.forapp.kdnote.client.KDNoteHelper();
        appHlp.printPreview(getTDFileName(), data, javax.swing.SwingUtilities.getWindowAncestor(this));
    }
	public RequestContext prepareActionSubmit(IItemAction itemAction) throws Exception {
			RequestContext request = super.prepareActionSubmit(itemAction);		
		if (request != null) {
    		request.setClassName(getUIHandlerClassName());
		}
		return request;
    }
	
	public boolean isPrepareActionSubmit() {
    	return false;
    }
	public RequestContext prepareActionPrint(IItemAction itemAction) throws Exception {
			RequestContext request = super.prepareActionPrint(itemAction);		
		if (request != null) {
    		request.setClassName(getUIHandlerClassName());
		}
		return request;
    }
	
	public boolean isPrepareActionPrint() {
    	return false;
    }
	public RequestContext prepareActionPrintPreview(IItemAction itemAction) throws Exception {
			RequestContext request = super.prepareActionPrintPreview(itemAction);		
		if (request != null) {
    		request.setClassName(getUIHandlerClassName());
		}
		return request;
    }
	
	public boolean isPrepareActionPrintPreview() {
    	return false;
    }

    /**
     * output getMetaDataPK method
     */
    public IMetaDataPK getMetaDataPK()
    {
        return new MetaDataPK("com.kingdee.eas.custom.integration.apimgt.client", "ApiCallLogEditUI");
    }
    /**
     * output isBindWorkFlow method
     */
    public boolean isBindWorkFlow()
    {
        return true;
    }

    /**
     * output getEditUIName method
     */
    protected String getEditUIName()
    {
        return com.kingdee.eas.custom.integration.apimgt.client.ApiCallLogEditUI.class.getName();
    }

    /**
     * output getBizInterface method
     */
    protected com.kingdee.eas.framework.ICoreBase getBizInterface() throws Exception
    {
        return com.kingdee.eas.custom.integration.apimgt.ApiCallLogFactory.getRemoteInstance();
    }

    /**
     * output createNewData method
     */
    protected IObjectValue createNewData()
    {
        com.kingdee.eas.custom.integration.apimgt.ApiCallLogInfo objectValue = new com.kingdee.eas.custom.integration.apimgt.ApiCallLogInfo();
        objectValue.setCreator((com.kingdee.eas.base.permission.UserInfo)(com.kingdee.eas.common.client.SysContext.getSysContext().getCurrentUser()));		
        return objectValue;
    }


    	protected String getTDFileName() {
    	return "/bim/custom/integration/apimgt/ApiCallLog";
	}
    protected IMetaDataPK getTDQueryPK() {
    	return new MetaDataPK("com.kingdee.eas.custom.integration.apimgt.app.ApiCallLogQuery");
	}
    

    /**
     * output getDetailTable method
     */
    protected KDTable getDetailTable() {        
        return null;
	}
    /**
     * output applyDefaultValue method
     */
    protected void applyDefaultValue(IObjectValue vo) {        
    }        
	protected void setFieldsNull(com.kingdee.bos.dao.AbstractObjectValue arg0) {
		super.setFieldsNull(arg0);
		arg0.put("number",null);
	}

}